Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Evaluators/AwesomeTriangulationEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Evaluators/AwesomeTriangulationEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,57 +1,0 @@
-﻿using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.Problems.LinearOrdering
-{ /// <summary>
-  /// An operator which evaluates LOP solutions given in matrix representation.
-  /// </summary>
-    [Item("AwesomeTriangulationEvaluator", "An operator which evaluates LOP solutions given in matrix representation.")]
-    [StorableClass]
-    public sealed class AwesomeTriangulationEvaluator : MatrixTriangulationEvaluator
-    {
-        [StorableConstructor]
-        private AwesomeTriangulationEvaluator(bool deserializing) : base(deserializing) { }
-        private AwesomeTriangulationEvaluator(AwesomeTriangulationEvaluator original, Cloner cloner) : base(original, cloner) { }
-        public AwesomeTriangulationEvaluator() : base() { }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new AwesomeTriangulationEvaluator(this, cloner);
-        }
-
-        /// <summary>
-        /// Calculates the distance between two points using the rounded Euclidean distance metric.
-        /// </summary>
-        /// <param name="x1">The x-coordinate of point 1.</param>
-        /// <param name="y1">The y-coordinate of point 1.</param>
-        /// <param name="x2">The x-coordinate of point 2.</param>
-        /// <param name="y2">The y-coordinate of point 2.</param>
-        /// <returns>The calculated distance.</returns>
-        protected override double CalculateUpperTriangle(DoubleMatrix m, Permutation p)
-        {
-            int[] permutation = p.ToArray();
-
-            //reduce offset, real arrays start with 0
-            if (!permutation.Contains(0)) { permutation = permutation.Select(v => v - 1).ToArray(); }
-
-            double sum = 0;
-            for (int i = 1; i < m.Columns; i++)
-            {
-                for (int j = 0; j < i; j++)
-                {
-                    sum += m[p[j], p[i]];
-                }
-            }
-
-            return sum;
-        }
-    }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IJSSPOperator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IJSSPOperator.cs	(revision 15543)
+++ 	(revision )
@@ -1,29 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-
-namespace HeuristicLab.Problems.PFSP {
-  public interface IJSSPOperator : IOperator {
-    ILookupParameter<ItemList<Job>> JobDataParameter { get; }
-  }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IScheduleDecoder.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IScheduleDecoder.cs	(revision 15543)
+++ 	(revision )
@@ -1,32 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-
-namespace HeuristicLab.Problems.PFSP
-{
-  public interface IScheduleDecoder : IOperator
-  {
-    ILookupParameter<IScheduleEncoding> ScheduleEncodingParameter { get; }
-    ILookupParameter<Schedule> ScheduleParameter { get; }
-  }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IScheduleEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/IScheduleEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,34 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-using HeuristicLab.Optimization;
-
-namespace HeuristicLab.Problems.PFSP
-{
-    /// <summary>
-    /// An evaluator for a Schedule
-    /// </summary>
-    public interface IScheduleEvaluator : ISingleObjectiveEvaluator
-    {
-    }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/ISchedulingEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.LinearOrdering/3.3/Interfaces/ISchedulingEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.Problems.PFSP
-{
-    /// <summary>
-    /// An evaluator for a scheduling problem representation
-    /// </summary>
-    public interface ISchedulingEvaluator : ISingleObjectiveEvaluator
-    {
-    }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Evaluators/AwesomeMakeSpanEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Evaluators/AwesomeMakeSpanEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,91 +1,0 @@
-﻿using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.Problems.PFSP
-{ /// <summary>
-  /// An operator which evaluates TSP solutions given in path representation using the rounded Euclidean distance metric.
-  /// </summary>
-    [Item("AwesomeMakeSpanEvaluator", "An operator which evaluates TSP solutions given in path representation using the rounded Euclidean distance metric.")]
-    [StorableClass]
-    public sealed class AwesomeMakeSpanEvaluator : MakeSpanEvaluator
-    {
-        [StorableConstructor]
-        private AwesomeMakeSpanEvaluator(bool deserializing) : base(deserializing) { }
-        private AwesomeMakeSpanEvaluator(AwesomeMakeSpanEvaluator original, Cloner cloner) : base(original, cloner) { }
-        public AwesomeMakeSpanEvaluator() : base() { }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new AwesomeMakeSpanEvaluator(this, cloner);
-        }
-
-        /// <summary>
-        /// Calculates the distance between two points using the rounded Euclidean distance metric.
-        /// </summary>
-        /// <param name="x1">The x-coordinate of point 1.</param>
-        /// <param name="y1">The y-coordinate of point 1.</param>
-        /// <param name="x2">The x-coordinate of point 2.</param>
-        /// <param name="y2">The y-coordinate of point 2.</param>
-        /// <returns>The calculated distance.</returns>
-        protected override double CalculateMakespan(DoubleMatrix m, Permutation p)
-        {
-            DoubleMatrix calculatedTime = new DoubleMatrix(m.Rows, m.Columns);
-            double runtimeCur;
-            double runtimePrev = 0;
-
-            double runtimePrevMachine;
-            double runtimePrevJobOnThisMachine;
-
-            int[] permutation = p.ToArray();
-
-            //reduce offset, real arrays start with 0
-            //if (!permutation.Contains(0)) { permutation = permutation.Select(v => v - 1).ToArray(); }
-
-            for (var machineIdx = 0; machineIdx < m.Rows; machineIdx++)
-            {
-                for (var jobIdx = 0; jobIdx < m.Columns; jobIdx++)
-                {
-                    runtimeCur = m[machineIdx, permutation[jobIdx]];
-                    runtimePrev = 0;
-
-                    //Simply add to calculatedTimeMatrix
-                    if (jobIdx == 0 && machineIdx == 0)
-                    {
-                        //Take default (runtimePrev = 0)
-                    }
-                    //Add the time + the previous time
-                    else if (machineIdx == 0)
-                    {
-                        runtimePrev = calculatedTime[machineIdx, jobIdx - 1];
-                    }
-                    //Check the job-time from the previous machine and previos job and take the greater
-                    else if (jobIdx == 0)
-                    {
-                        runtimePrev = calculatedTime[machineIdx - 1, jobIdx];
-                    }
-                    //X X X X X
-                    //X O O O O
-                    //X O O O O
-                    //X O O O O
-                    else
-                    {
-                        runtimePrevMachine = calculatedTime[machineIdx - 1, jobIdx];
-                        runtimePrevJobOnThisMachine = calculatedTime[machineIdx, jobIdx - 1];
-                        runtimePrev = runtimePrevMachine > runtimePrevJobOnThisMachine ? runtimePrevMachine : runtimePrevJobOnThisMachine;
-                    }
-                    calculatedTime[machineIdx, jobIdx] = runtimeCur + runtimePrev;
-                }
-            }
-            //return the makespan(the total runtime from start till the last job is finished)
-            return calculatedTime[calculatedTime.Rows - 1, calculatedTime.Columns - 1];
-        }
-    }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IJSSPOperator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IJSSPOperator.cs	(revision 15543)
+++ 	(revision )
@@ -1,29 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-
-namespace HeuristicLab.Problems.PFSP {
-  public interface IJSSPOperator : IOperator {
-    ILookupParameter<ItemList<Job>> JobDataParameter { get; }
-  }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IScheduleDecoder.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IScheduleDecoder.cs	(revision 15543)
+++ 	(revision )
@@ -1,32 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-
-namespace HeuristicLab.Problems.PFSP
-{
-  public interface IScheduleDecoder : IOperator
-  {
-    ILookupParameter<IScheduleEncoding> ScheduleEncodingParameter { get; }
-    ILookupParameter<Schedule> ScheduleParameter { get; }
-  }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IScheduleEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/IScheduleEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,34 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.ScheduleEncoding;
-using HeuristicLab.Optimization;
-
-namespace HeuristicLab.Problems.PFSP
-{
-    /// <summary>
-    /// An evaluator for a Schedule
-    /// </summary>
-    public interface IScheduleEvaluator : ISingleObjectiveEvaluator
-    {
-    }
-}
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/ISchedulingEvaluator.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PFSP/3.3/Interfaces/ISchedulingEvaluator.cs	(revision 15543)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-
-namespace HeuristicLab.Problems.PFSP
-{
-    /// <summary>
-    /// An evaluator for a scheduling problem representation
-    /// </summary>
-    public interface ISchedulingEvaluator : ISingleObjectiveEvaluator
-    {
-    }
-}