Index: /branches/HiveProjectManagement/HeuristicLab.Clients.Access/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.Access/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.Access/3.3/app.config	(revision 15547)
@@ -36,9 +36,9 @@
     </bindings>
     <client>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/AccessService-3.3/AccessService.svc"
+      <endpoint address="http://services.heuristiclab.com/AccessService-3.3/AccessService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAccessService"
         contract="HeuristicLab.Clients.Access.IAccessService" name="WSHttpBinding_IAccessService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.Clients.Common/3.3/ClientFactory.cs
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.Common/3.3/ClientFactory.cs	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.Common/3.3/ClientFactory.cs	(revision 15547)
@@ -61,5 +61,5 @@
       client.ClientCredentials.UserName.UserName = userName;
       client.ClientCredentials.UserName.Password = password;
-      client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
+      client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.ChainTrust;
 
       // we (jkarder + abeham) have disabled the revocation check for now
@@ -90,5 +90,5 @@
       channelFactory.Credentials.UserName.UserName = userName;
       channelFactory.Credentials.UserName.Password = password;
-      channelFactory.Credentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
+      channelFactory.Credentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.ChainTrust;
 
       // we (jkarder + abeham) have disabled the revocation check for now
Index: /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/app.config	(revision 15547)
@@ -150,16 +150,16 @@
     <client>
       <endpoint name="SlaveCommunicationServiceEndpoint" address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication"/>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="WSHttpBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="net.tcp://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="net.tcp://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="netTcpBinding" bindingConfiguration="NetBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="NetBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Slave/3.3/app.config	(revision 15547)
@@ -150,16 +150,16 @@
     <client>
       <endpoint name="SlaveCommunicationServiceEndpoint" address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication"/>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="WSHttpBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="net.tcp://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="net.tcp://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="netTcpBinding" bindingConfiguration="NetBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="NetBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.Clients.Hive/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.Hive/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.Hive/3.3/app.config	(revision 15547)
@@ -71,16 +71,16 @@
     </bindings>
     <client>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="WSHttpBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="net.tcp://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc"
+      <endpoint address="net.tcp://services.heuristiclab.com/Hive-3.3/HiveService.svc"
         binding="netTcpBinding" bindingConfiguration="NetBinding_IHiveService"
         contract="HeuristicLab.Clients.Hive.IHiveService" name="NetBinding_IHiveService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.Clients.OKB/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Clients.OKB/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Clients.OKB/3.3/app.config	(revision 15547)
@@ -52,32 +52,32 @@
     </bindings>
     <client>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/OKB-3.3/AdministrationService.svc"
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/AdministrationService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdministrationService"
         contract="HeuristicLab.Clients.OKB.Administration.IAdministrationService"
         name="WSHttpBinding_IAdministrationService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/OKB-3.3/QueryService.svc"
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/QueryService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IQueryService"
         contract="HeuristicLab.Clients.OKB.Query.IQueryService" name="WSHttpBinding_IQueryService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="net.tcp://hivelab.hagenberg.fhooe.at/OKB-3.3/QueryService.svc"
+      <endpoint address="net.tcp://services.heuristiclab.com/OKB-3.3/QueryService.svc"
         binding="netTcpBinding" bindingConfiguration="NetBinding_IQueryService"
         contract="HeuristicLab.Clients.OKB.Query.IQueryService" name="NetBinding_IQueryService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/OKB-3.3/RunCreationService.svc"
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/RunCreationService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IRunCreationService"
         contract="HeuristicLab.Clients.OKB.RunCreation.IRunCreationService"
         name="WSHttpBinding_IRunCreationService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.PluginInfrastructure/3.3/app.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.PluginInfrastructure/3.3/app.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.PluginInfrastructure/3.3/app.config	(revision 15547)
@@ -19,8 +19,8 @@
       </setting>
       <setting name="UpdateLocation" serializeAs="String">
-        <value>http://hivelab.hagenberg.fhooe.at/Deployment-3.3/UpdateService.svc</value>
+        <value>http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc</value>
       </setting>
       <setting name="UpdateLocationAdministrationAddress" serializeAs="String">
-        <value>http://hivelab.hagenberg.fhooe.at/Deployment-3.3/AdminService.svc</value>
+        <value>http://services.heuristiclab.com/Deployment-3.3/AdminService.svc</value>
       </setting>
       <setting name="StarterFormLocation" serializeAs="String">
@@ -62,18 +62,18 @@
     </bindings>
     <client>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/Deployment-3.3/UpdateService.svc"
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdateService"
         contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdateService"
         name="WSHttpBinding_IUpdateService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
-      <endpoint address="http://hivelab.hagenberg.fhooe.at/Deployment-3.3/AdminService.svc"
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/AdminService.svc"
         binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdminService"
         contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdminService"
         name="WSHttpBinding_IAdminService">
         <identity>
-          <dns value="localhost" />
+          <dns value="services.heuristiclab.com" />
         </identity>
       </endpoint>
Index: /branches/HiveProjectManagement/HeuristicLab.Services.Hive.Web/web_services.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Services.Hive.Web/web_services.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Services.Hive.Web/web_services.config	(revision 15547)
@@ -97,5 +97,5 @@
           <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider" />
           <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <serviceCertificate findValue="services.heuristiclab.com" x509FindType="FindBySubjectName" />
             <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider" />
           </serviceCredentials>
@@ -118,5 +118,5 @@
         <endpoint address="mex" binding="mexTcpBinding" bindingConfiguration="" name="MexTcpEndpoint" contract="IMetadataExchange"/>
         <endpoint address="" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IHiveService" name="WSHttpBinding_IHiveService" contract="HeuristicLab.Services.Hive.ServiceContracts.IHiveService"/>
-        <endpoint address="net.tcp://hivelab.hagenberg.fhooe.at/Hive-3.3/HiveService.svc" binding="netTcpBinding"  bindingConfiguration="NetTcpBinding_IHiveService" name="NetBinding_IHiveService" contract="HeuristicLab.Services.Hive.ServiceContracts.IHiveService"/>
+        <endpoint address="net.tcp://services.heuristiclab.com/Hive-3.3/HiveService.svc" binding="netTcpBinding"  bindingConfiguration="NetTcpBinding_IHiveService" name="NetBinding_IHiveService" contract="HeuristicLab.Services.Hive.ServiceContracts.IHiveService"/>
       </service>
     </services>
Index: /branches/HiveProjectManagement/HeuristicLab.Services.Hive/3.3/HiveService.cs
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 15547)
@@ -435,6 +435,6 @@
             x => new DA.AssignedJobResource {
               ResourceId = x
-          }));
-  
+            }));
+
           var job = jobDao.Save(newJob);
           if (userPriorityDao.GetById(jobDto.OwnerUserId) == null) {
@@ -498,5 +498,5 @@
             x => new DA.AssignedJobResource {
               ResourceId = x
-          }));
+            }));
 
           if (!exists) {
@@ -780,10 +780,10 @@
       using (new PerformanceLogger("GrantProjectPermissions")) {
         var projectDao = pm.ProjectDao;
-        
+
         pm.UseTransaction(() => {
           var project = projectDao.GetById(projectId);
           var projectPermissions = project.ProjectPermissions.ToList();
           foreach (var id in grantedUserIds) {
-            if (projectPermissions.All(x => x.GrantedUserId != id)) { 
+            if (projectPermissions.All(x => x.GrantedUserId != id)) {
               project.ProjectPermissions.Add(new DA.ProjectPermission {
                 GrantedUserId = id,
@@ -792,5 +792,5 @@
             }
           }
-          if(cascading) {
+          if (cascading) {
             var childProjects = projectDao.GetChildProjectsById(projectId);
             foreach (var p in childProjects) {
@@ -817,5 +817,5 @@
         var projectDao = pm.ProjectDao;
         pm.UseTransaction(() => {
-          if(cascading) {
+          if (cascading) {
             var childProjectIds = projectDao.GetChildProjectIdsById(projectId);
             projectPermissionDao.DeleteByProjectIdsAndGrantedUserIds(childProjectIds, grantedUserIds);
@@ -858,9 +858,9 @@
             }
           }
-          if(cascading) {
+          if (cascading) {
             var childProjects = projectDao.GetChildProjectsById(projectId);
-            foreach(var p in childProjects) {
+            foreach (var p in childProjects) {
               p.AssignedProjectResources.Clear();
-              foreach(var id in resourceIds) {
+              foreach (var id in resourceIds) {
                 p.AssignedProjectResources.Add(new DA.AssignedProjectResource {
                   ResourceId = id
@@ -882,5 +882,5 @@
         var projectDao = pm.ProjectDao;
         pm.UseTransaction(() => {
-          if(cascading) {
+          if (cascading) {
             var childProjectIds = projectDao.GetChildProjectIdsById(projectId);
             assignedProjectResourceDao.DeleteByProjectIdsAndResourceIds(childProjectIds, resourceIds);
@@ -1243,5 +1243,5 @@
       }
     }
-    
+
     #endregion
   }
Index: /branches/HiveProjectManagement/HeuristicLab.Services.WebApp/3.3/Web.config
===================================================================
--- /branches/HiveProjectManagement/HeuristicLab.Services.WebApp/3.3/Web.config	(revision 15546)
+++ /branches/HiveProjectManagement/HeuristicLab.Services.WebApp/3.3/Web.config	(revision 15547)
@@ -1,82 +1,88 @@
-﻿<?xml version="1.0"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <configuration>
   <connectionStrings>
-    <remove name="HeuristicLab.Authentication"/>
-    <remove name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString"/>
-    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
-    <add name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Hive-3.3"/>
+    <remove name="HeuristicLab.Authentication" />
+    <remove name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" />
+    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
+    <add name="HeuristicLab.Services.Hive.DataAccess.Settings.HeuristicLab_Hive_LinqConnectionString" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Hive-3.3" />
   </connectionStrings>
+  
   <appSettings>
-    <add key="webpages:Version" value="3.0.0.0"/>
-    <add key="webpages:Enabled" value="false"/>
-    <add key="ClientValidationEnabled" value="true"/>
-    <add key="UnobtrusiveJavaScriptEnabled" value="true"/>
+    <add key="webpages:Version" value="3.0.0.0" />
+    <add key="webpages:Enabled" value="false" />
+    <add key="ClientValidationEnabled" value="true" />
+    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
   </appSettings>
+  
   <system.web>
     <authentication mode="Forms">
-      <forms loginUrl="~/App/Empty" timeout="2880" cookieless="UseCookies" name=".HEURISTICLABWEBAPP"/>
+      <forms loginUrl="~/App/Empty" timeout="2880" cookieless="UseCookies" name=".HEURISTICLABWEBAPP" />
     </authentication>
-    <compilation debug="true" targetFramework="4.5"/>
-    <httpRuntime targetFramework="4.5"/>
+    <compilation debug="false" targetFramework="4.5" />
+    <httpRuntime targetFramework="4.5" />
     <membership defaultProvider="AspNetSqlMembershipProvider">
       <providers>
-        <clear/>
-        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" applicationName="HeuristicLab.Authentication" minRequiredPasswordLength="8" minRequiredNonalphanumericCharacters="0" maxInvalidPasswordAttempts="5"/>
+        <clear />
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+             requiresQuestionAndAnswer="false" requiresUniqueEmail="false" applicationName="HeuristicLab.Authentication" minRequiredPasswordLength="8"
+             minRequiredNonalphanumericCharacters="0" maxInvalidPasswordAttempts="5" />
       </providers>
     </membership>
     <roleManager enabled="true" defaultProvider="AspNetSqlRoleProvider">
       <providers>
-        <clear/>
-        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication"/>
+        <clear />
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
       </providers>
     </roleManager>
   </system.web>
+
   <system.webServer>
     <modules>
-      <remove name="FormsAuthentication"/>
-      <remove name="DefaultAuthentication"/>
-      <remove name="RoleManager"/>
-      <remove name="UrlAuthorization"/>
-      <add name="FormsAuthentication" type="System.Web.Security.FormsAuthenticationModule"/>
-      <add name="DefaultAuthentication" type="System.Web.Security.DefaultAuthenticationModule"/>
-      <add name="RoleManager" type="System.Web.Security.RoleManagerModule"/>
-      <add name="UrlAuthorization" type="System.Web.Security.UrlAuthorizationModule"/>
+      <remove name="FormsAuthentication" />
+      <remove name="DefaultAuthentication" />
+      <remove name="RoleManager" />
+      <remove name="UrlAuthorization" />
+      <add name="FormsAuthentication" type="System.Web.Security.FormsAuthenticationModule" />
+      <add name="DefaultAuthentication" type="System.Web.Security.DefaultAuthenticationModule" />
+      <add name="RoleManager" type="System.Web.Security.RoleManagerModule" />
+      <add name="UrlAuthorization" type="System.Web.Security.UrlAuthorizationModule" />
     </modules>
     <handlers>
-      <remove name="ExtensionlessUrlHandler-Integrated-4.0"/>
-      <remove name="OPTIONSVerbHandler"/>
-      <remove name="TRACEVerbHandler"/>
-      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0"/>
+      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
+      <remove name="OPTIONSVerbHandler" />
+      <remove name="TRACEVerbHandler" />
+      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
     </handlers>
   </system.webServer>
+
   <runtime>
     <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
       <dependentAssembly>
-        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed"/>
-        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0"/>
+        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
+        <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35"/>
-        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0"/>
+        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
+        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35"/>
-        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930"/>
+        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
+        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35"/>
-        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0"/>
+        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
+        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35"/>
-        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0"/>
+        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
+        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35"/>
-        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0"/>
+        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
+        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
       </dependentAssembly>
       <dependentAssembly>
-        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" culture="neutral"/>
-        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2"/>
+        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" culture="neutral" />
+        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2" />
       </dependentAssembly>
     </assemblyBinding>