Index: /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5CreationParameters.cs
===================================================================
--- /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5CreationParameters.cs	(revision 15548)
+++ /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5CreationParameters.cs	(revision 15549)
@@ -28,31 +28,31 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   internal class M5CreationParameters {
-    private readonly ISplitType Impurity1;
-    private readonly IPruningType Pruningtype1;
-    private readonly ILeafType<IRegressionModel> LeafType1;
-    private readonly int MinLeafSize1;
-    private readonly IRegressionProblemData ProblemData1;
-    private readonly IRandom Random1;
-    private readonly ResultCollection Results1;
+    private readonly ISplitType impurity;
+    private readonly IPruningType pruningType;
+    private readonly ILeafType<IRegressionModel> leafType;
+    private readonly int minLeadSize;
+    private readonly IRegressionProblemData problemData;
+    private readonly IRandom random;
+    private readonly ResultCollection results;
     public ISplitType Split {
-      get { return Impurity1; }
+      get { return impurity; }
     }
     public IPruningType Pruningtype {
-      get { return Pruningtype1; }
+      get { return pruningType; }
     }
     public ILeafType<IRegressionModel> LeafType {
-      get { return LeafType1; }
+      get { return leafType; }
     }
     public int MinLeafSize {
-      get { return MinLeafSize1; }
+      get { return minLeadSize; }
     }
     private IRegressionProblemData ProblemData {
-      get { return ProblemData1; }
+      get { return problemData; }
     }
     public IRandom Random {
-      get { return Random1; }
+      get { return random; }
     }
     public ResultCollection Results {
-      get { return Results1; }
+      get { return results; }
     }
 
@@ -72,12 +72,12 @@
     public M5CreationParameters(IPruningType pruning, int minleafSize, ILeafType<IRegressionModel> modeltype,
       IRegressionProblemData problemData, IRandom random, ISplitType split, ResultCollection results) {
-      Impurity1 = split;
-      Pruningtype1 = pruning;
-      ProblemData1 = problemData;
-      Random1 = random;
-      LeafType1 = modeltype;
-      Results1 = results;
+      impurity = split;
+      pruningType = pruning;
+      this.problemData = problemData;
+      this.random = random;
+      leafType = modeltype;
+      this.results = results;
       var pruningLeaf = pruning.ModelType(LeafType);
-      MinLeafSize1 = Math.Max(pruningLeaf == null ? 0 : pruningLeaf.MinLeafSize(problemData), Math.Max(minleafSize, modeltype.MinLeafSize(problemData)));
+      minLeadSize = Math.Max(pruningLeaf == null ? 0 : pruningLeaf.MinLeafSize(problemData), Math.Max(minleafSize, modeltype.MinLeafSize(problemData)));
     }
   }
Index: /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5StaticUtilities.cs
===================================================================
--- /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5StaticUtilities.cs	(revision 15548)
+++ /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5StaticUtilities.cs	(revision 15549)
@@ -33,5 +33,5 @@
         var setSeed = alg.Parameters["SetSeedRandomly"].ActualValue as BoolValue;
         if (seed == null || setSeed == null)
-          throw new ArgumentException("SetSeedRandomly and Seed do not have their expected Parametertypes");
+          throw new ArgumentException("The parameters SetSeedRandomly and Seed do not have the expected type");
         setSeed.Value = false;
         seed.Value = random;
Index: /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5UpdateParameters.cs
===================================================================
--- /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5UpdateParameters.cs	(revision 15548)
+++ /branches/M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/M5Regression/M5Utilities/M5UpdateParameters.cs	(revision 15549)
@@ -20,22 +20,20 @@
 #endregion
 
-using System.Collections.Generic;
 using HeuristicLab.Core;
-using HeuristicLab.Optimization;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
   internal class M5UpdateParameters {
-    private readonly ILeafType<IRegressionModel> LeafType1;
-    private readonly IRegressionProblemData ProblemData1;
-    private readonly IRandom Random1;
+    private readonly ILeafType<IRegressionModel> leafType;
+    private readonly IRegressionProblemData problemData;
+    private readonly IRandom random;
     public ILeafType<IRegressionModel> LeafType {
-      get { return LeafType1; }
+      get { return leafType; }
     }
     private IRegressionProblemData ProblemData {
-      get { return ProblemData1; }
+      get { return problemData; }
     }
     public IRandom Random {
-      get { return Random1; }
+      get { return random; }
     }
     public IDataset Data {
@@ -44,7 +42,7 @@
 
     public M5UpdateParameters(ILeafType<IRegressionModel> modeltype, IRegressionProblemData problemData, IRandom random) {
-      ProblemData1 = problemData;
-      Random1 = random;
-      LeafType1 = modeltype;
+      this.problemData = problemData;
+      this.random = random;
+      leafType = modeltype;
     }
   }